### Name: pmscan
### Title: Interval mapping with covariates for point-mass mixtures
### Aliases: pmscan
### Keywords: models

### ** Examples

## Don't show: 
library(qtl)
## End Don't show
# Simulate backcross experiment
Map <- sim.map(c(100,100), n.mar=c(22), include.x=FALSE, eq.spacing=TRUE)
num.ind <- 200
QTL.info <- rbind(c(1,30,0.6,-0.02))
sim <- sim.cross.exp(map=Map, model=QTL.info, n.ind=num.ind, type="bc",
    keep.qtlgeno=TRUE, map.function="haldane", dist="pointmass", params=c(0.5,6,0.6))
sim <- calc.genoprob(sim, step=1)
Covs <- matrix(rnorm(400), nrow=200)

out <- pmscan(sim, chr=c(1:2), pheno.col=1, pm.value=0, addcovar=Covs)

# Permutation tests
## Not run: out.perm <- pmscan(sim, chr=c(1:2), pheno.col=1, pm.value=0, addcovar=Covs, n.perm=1000)



