### Name: sim.cross.exp
### Title: Simulate a QTL experiment
### Aliases: sim.cross.exp
### Keywords: datagen

### ** Examples

## Don't show: 
library(qtl)
## End Don't show
# Simulate a genetic mapp
Map <- sim.map(c(100,100), n.mar=c(22), include.x=FALSE, eq.spacing=TRUE)
num.ind <- 200

# simulate 200 backcross individuals with one qtl affecting a point-mass mixture trait
# define a qtl at 30 cm on chromosome 1 with an additive effect of 0.6
# on the mean of the continuous component and -0.1 on the proportion of 
# observations in the point-mass at 0
QTL.info <- rbind(c(1,30,0.6,-0.01))
sim <- sim.cross.exp(map=Map, model=QTL.info, n.ind=num.ind, type="bc",
          keep.qtlgeno=TRUE, map.function="haldane", dist="pointmass", params=c(0.5,1,0.6))




